//===========================================================================
// PROJECT: StatusIcon
// DESC   : Show a icon on the taskbar's tray.
// VERSION : 1.03
//  Copyright (c) 1997 by Eddie Carpenter (ecarpenter@itex.co.za)
//
//   You are hereby granted a royalty-free unlimited distribution
//   license to compile the components in this source file into
//   your applications.
//
//   This source file may be freely distributed through online networks
//   so long as no modifications are made to this file and no fee is
//   charged to obtain this file, other than normal online connection
//   charges.
//
//   These components may NOT be distributed as source code or
//   compiled DCU on diskette, CDRom, or as part of a
//   product without prior written consent of the author.
//
//   All rights not explicitly granted here are reserved by the author.
//
//   For revision information see StatusIcon.cpp
//===========================================================================

#include <vcl\vcl.h>
#pragma hdrstop
#include <dsgnintf.hpp>
#include <memory>
#include <imglist.hpp>
#include "stdreg.hpp"
#include "AboutDlg.h"
#pragma resource "*.dfm"
#pragma package(smart_init)

//------------------------------------------------------------[ TAboutDlg ]---
__fastcall TAboutDlg::TAboutDlg(TComponent* Owner)
   : TForm(Owner)
{
}

//-----------------------------------------------------------[ OKBtnClick ]---
void __fastcall TAboutDlg::OKBtnClick(TObject *Sender)
{
  Close();
}//OKBtnClick

//-------------------------------------------------------[ TAboutProperty ]---
__fastcall TAboutProperty::TAboutProperty(void)
   : TClassProperty()
{
} //TAboutProperty

//------------------------------------------------------[ ~TAboutProperty ]---
__fastcall TAboutProperty::~TAboutProperty(void)
{
}//~TAboutProperty

//----------------------------------------------------------------[ Edit ]---
void __fastcall TAboutProperty::Edit()
{
  TAboutDlg *Form;
  Form = new TAboutDlg(Application);
  Form->ShowModal();
  delete Form;
}//Edit

//-------------------------------------------------------[ GetAttributes ]---
TPropertyAttributes __fastcall TAboutProperty::GetAttributes(void)
{
  return (TPropertyAttributes() << paDialog << paReadOnly);
}//GetAttributes

//------------------------------------------------------------[ GetValue ]---
AnsiString __fastcall TAboutProperty::GetValue()
{
  return "(About info)";
}//GetValue

//---------------------------------------------------------------------------
//
//                               T H E   E N D
//
//---------------------------------------------------------------------------

