//===========================================================================
// PROJECT : StatusIcon
// DESC    : Show a icon on the taskbar's tray.
// VERSION : 1.00
//  Copyright (c) 1997 by Eddie Carpenter (ecarpenter@itex.co.za)
//
//   You are hereby granted a royalty-free unlimited distribution
//   license to compile the components in this source file into
//   your applications.
//
//   This source file may be freely distributed through online networks
//   so long as no modifications are made to this file and no fee is
//   charged to obtain this file, other than normal online connection
//   charges.
//
//   These components may NOT be distributed as source code or
//   compiled DCU on diskette, CDRom, or as part of a
//   product without prior written consent of the author.
//
//   All rights not explicitly granted here are reserved by the author.
//
//===========================================================================
#ifndef AboutDlgH
#define AboutDlgH

#include <vcl\vcl.h>
#include <shellapi.h>
#include <DsgnWnds.hpp>
#include <DsgnIntf.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Buttons.hpp>

//------------------------------------------------------------------------
// The About property editor to display the About information
//------------------------------------------------------------------------
class PACKAGE TAboutProperty : public TClassProperty
{
  public:

     virtual void __fastcall Edit();
     virtual TPropertyAttributes __fastcall GetAttributes(void);
     virtual AnsiString __fastcall GetValue();
     __fastcall virtual ~TAboutProperty();
     __fastcall TAboutProperty();

};//TAboutProperty

//------------------------------------------------------------------------
// The About dialog used to display the about information
//------------------------------------------------------------------------
class PACKAGE TAboutDlg : public TForm
{
__published:	// IDE-managed Components
        TMemo *Memo1;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TButton *OKBtn;
        void __fastcall OKBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TAboutDlg(TComponent* Owner);
};

//---------------------------------------------------------------------------
//
//                               T H E   E N D
//
//---------------------------------------------------------------------------
#endif
